%define anolis_release 1

Name:		system-storage-manager
Version:	1.4
Release:	%{anolis_release}%{?dist}
Summary:	A single tool to manage your storage

License:	GPLv2+
URL:		https://github.com/system-storage-manager/ssm
Source0:	https://github.com/system-storage-manager/ssm/archive/%{name}-%{version}.tar.gz
Patch0:		python3-sphinx.patch

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx
BuildRequires:	python3-pwquality
Requires:	util-linux
Requires:	which
Requires:	xfsprogs
Requires:	e2fsprogs
Requires:	python3-pwquality

%description
System Storage Manager provides an easy to use command line interface to manage
your storage using various technologies like lvm, btrfs, encrypted volumes and
more.
 
In more sophisticated enterprise storage environments, management with Device
Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md) is becoming
increasingly more difficult.  With file systems added to the mix, the number of
tools needed to configure and manage storage has grown so large that it is
simply not user friendly.  With so many options for a system administrator to
consider, the opportunity for errors and problems is large.
 
The btrfs administration tools have shown us that storage management can be
simplified, and we are working to bring that ease of use to Linux file systems
in general.
 
You should install the ssm if you need to manage your storage with various
technologies via a single unified interface.

%prep
%autosetup -n ssm-%{name}-%{version} -p1

%build
make docs %{?_smp_mflags}

%install
%{__python3} setup.py install --root=${RPM_BUILD_ROOT}
if [ "%{_pkgdocdir}" != "%{_docdir}/%{name}-%{version}" ]; then
    mv ${RPM_BUILD_ROOT}/{%{_docdir}/%{name}-%{version},%{_pkgdocdir}}
fi

%check
# we recommend you **not** to run
# tests with root privileges on your work or production system, but
# rather to run them on your testing machine.
%{__python3} test.py || :

%files
%license COPYING
%doc README CHANGES AUTHORS
%{_bindir}/ssm
%{_pkgdocdir}/
%{_mandir}/man8/ssm.8*
%{python3_sitelib}/ssmlib/
%{python3_sitelib}/*.egg-info

%changelog
* Tue Apr 19 2022 happy_orange <songnannan@linux.alibaba.com> - 1.4-1
- Init package from upstream
